#include <stdio.h>

int main(void) {
    int n;

    do {
        printf("Input positive integer: ");
        scanf("%d", &n);
        if (n <= 0) {
            puts("\aPlease input non-negative, non-zero integer.");
        }
    } while (n <= 0);

    printf("Reverse of %d is ", n);
    while (n > 0) {
        printf("%d", n % 10);
        n /= 10;
    }

    puts(".");

    return 0;
}
